-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-- Written by Kimberly L. Tripp - all rights reserved.
-- 
-- For more scripts and sample code, check out 
-- 	http://www.SQLSkills.com
--
-- Disclaimer - Thoroughly test this script, execute at your own risk.
-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

--Returns header information of a backup file or backup set
RESTORE HEADERONLY FROM JunkDBBackup1


--Returns information about the original database or transaction log files
RESTORE FILELISTONLY FROM JunkDBBackup1 WITH FILE = 1
	--with file = 10 -- This represents the position of the backup on a multifile backup (where you've appended multiple backups).


--Returns information about the backup media
RESTORE LABELONLY FROM JunkDBBackup1
RESTORE LABELONLY FROM JunkDBBackup2
RESTORE LABELONLY FROM JunkDBBackup3


--Verifies that the individual files are complete and readable
RESTORE VERIFYONLY 
FROM JunkDBBackup1, 
	JunkDBBackup2, 
	JunkDBBackup3
